Bug 1731719 - perl-DBD-Firebird depends on files/directories from non-standard locations
Summary: perl-DBD-Firebird depends on files/directories from non-standard locations
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-DBD-Firebird
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1731683
TreeView+ depends on / blocked
 
Reported: 2019-07-21 11:11 UTC by Igor Raits
Modified: 2020-04-26 14:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-26 14:52:51 UTC
Type: ---


Attachments (Terms of Use)

Description Igor Raits 2019-07-21 11:11:48 UTC
Hello,

Fedora Packaging Guidelines allow dependencies only on files/directories from /usr/bin, /usr/sbin and /etc directories[0].
Your package depends on files/directories outside of those. See below for more information about package/dependencies.

---
perl-DBD-Firebird-1.31-6.fc31.src:
  - /usr/lib64/libfbclient.so
---

Please correct those or provide reason why is it correct.
It is very important to not download huge filelists.xml just because few packages in distribution depend on non-standard paths.

Thanks for cooperation!


[0] https://docs.fedoraproject.org/en-US/packaging-guidelines/#_file_and_directory_dependencies

Comment 1 Ben Cotton 2019-08-13 18:58:59 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 2 Petr Pisar 2019-08-22 07:27:59 UTC
Maintainer's reason is building the same spec file for Fedora as well as EPEL 6:

commit cdb526667272dde002ac7311e972fafeb3bc0ae1
Author: Robert Scheck <robert@fedoraproject.org>
Date:   Fri Oct 14 10:06:04 2016 +0200

    Buildrequire libfbclient.so rather firebird-devel to cover building with firebird 2.5.x and 3.0.x without conditionals

diff --git a/perl-DBD-Firebird.spec b/perl-DBD-Firebird.spec
index 7bd8efb..1a68a23 100644
--- a/perl-DBD-Firebird.spec
+++ b/perl-DBD-Firebird.spec
@@ -6,7 +6,7 @@
 Summary:        A Firebird interface for perl
 Name:           perl-DBD-Firebird
 Version:        1.22
-Release:        2%{?dist}
+Release:        3%{?dist}
 License:        GPL+ or Artistic
 Group:          Development/Libraries
 URL:            http://search.cpan.org/dist/%{pkgname}/
@@ -15,7 +15,7 @@ Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $versi
 BuildRequires:  coreutils
 BuildRequires:  findutils
 BuildRequires:  firebird >= 2.5.1
-BuildRequires:  firebird-devel >= 2.5.1
+BuildRequires:  %{_libdir}/libfbclient.so
 BuildRequires:  make
 BuildRequires:  perl >= 5.10.1
 BuildRequires:  perl-devel

Comment 3 Robert Scheck 2020-04-26 14:52:51 UTC
Documented in spec file (additionally to before mentioned commit message) with perl-DBD-Firebird-1.32-1


Note You need to log in before you can comment on or make changes to this bug.